> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create flowNodes

> Creates a new flowNodes object with the specified parameters.



## OpenAPI

````yaml 26.3/self-hosted/en/api-reference/openapi.json POST /flowNodes
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /flowNodes:
    post:
      tags:
        - flowNodes
      summary: Create flowNodes
      description: Creates a new flowNodes object with the specified parameters.
      operationId: createflowNodes
      requestBody:
        description: The flowNodes entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/flowNodes'
        required: true
      responses:
        '201':
          description: flowNodes created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/flowNodes'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    flowNodes:
      type: object
      properties:
        WorkspaceId:
          description: The Id of the workspace that contains the flow API.
          type: string
        ConnectorId:
          description: The Id of the connector that contains the flow API.
          type: string
        Style:
          description: The node style.
          type: string
        PositionX:
          description: The node position x.
          type: number
          format: double
        PositionY:
          description: The node position y.
          type: number
          format: double
        Width:
          description: The node width.
          type: number
          format: double
      required:
        - WorkspaceId
        - ConnectorId
        - Style
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````